Bug 968942 - Unable to start gnome-shell from gdm, GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
Unable to start gnome-shell from gdm, GLib-GObject: g_object_ref: assertion `...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: gdm (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ray Strode [halfline]
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 06:28 EDT by Jaroslav Škarvada
Modified: 2014-06-13 07:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-13 07:25:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2013-05-30 06:28:19 EDT
Description of problem:
Unable to start gnome-shell from gdm, no problem to start it by startx.

Version-Release number of selected component (if applicable):
gdm-3.8.1.1-6.el7.x86_64

How reproducible:
always

Steps to Reproduce:
1. Disable selinux (because it seems there are more selinux issues ;)
2. Set graphical boot target
3. Reboot
4. Try to login as normal user

Actual results:
May 30 12:13:46 dhcp-25-243 gdm[4173]: GLib-GObject: g_object_ref: assertion `object->ref_count > 0' failed
May 30 12:13:46 dhcp-25-243 /usr/bin/dbus-launch[4322]: g_dbus_connection_real_closed: Remote peer vanished with error: Error receiving message: Connection reset by peer (g-io-error-quark, 0). Exiting.
May 30 12:13:46 dhcp-25-243 /usr/bin/dbus-launch[4322]: gnome-session[4322]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
May 30 12:13:46 dhcp-25-243 /usr/bin/dbus-launch[4322]: (gnome-settings-daemon:4346): Gdk-WARNING **: gnome-settings-daemon: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
May 30 12:13:46 dhcp-25-243 /usr/bin/dbus-launch[4322]: Window manager warning: Log level 16: gnome-shell: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
May 30 12:13:46 dhcp-25-243 gnome-session[4322]: Gdk-WARNING: gnome-session: Fatal IO error 11 (Resource temporarily unavailable) on X server :1.
May 30 12:13:46 dhcp-25-243 systemd-logind[525]: Removed session 11.
May 30 12:13:46 dhcp-25-243 abrt[4444]: Can't open file '/etc/os-release': No such file or directory
May 30 12:13:46 dhcp-25-243 gdm[4173]: GLib-GObject: g_object_unref: assertion `object->ref_count > 0' failed
May 30 12:13:46 dhcp-25-243 systemd[1]: gdm.service holdoff time over, scheduling restart.

Expected results:
Gnome shell start, no error

Additional info:
I am not sure whether it is gdm or related component problem. Feel free to reassign in this case. I tried RHEL-7.0-20130529.n.1. compose.
Comment 2 Pacho Ramos 2013-07-16 17:26:02 EDT
Some people on Gentoo are also suffering a similar issue like this:
https://bugs.gentoo.org/show_bug.cgi?id=476848

but still not solution :(

Maybe you could report it to upstream if you are able to reproduce

Thanks!
Comment 3 Matthias Clasen 2013-10-30 16:27:29 EDT
Are there any specific circumstances to this ? Does it still occur ? The gdm -> session transition works just fine in my rhel7 install from earlier this week
Comment 4 Jaroslav Škarvada 2013-10-31 05:56:14 EDT
I am no more able to reproduce this on my machines, feel free to close this.
Comment 6 Vera Budikova 2014-04-24 11:32:27 EDT
Verification:

Package version: gdm-3.8.4-25.el7.x86_64

Steps to verify:
1. Set graphical boot target
2. Reboot
3. Try to login as normal user

Results:
Gnome shell start, no error
Comment 7 Ludek Smid 2014-06-13 07:25:38 EDT
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.

Note You need to log in before you can comment on or make changes to this bug.